# debuginfo not supported for static libraries, RB #209316
%global debug_package %{nil}

Name:           qm-dsp
Version:        1.7.1
Release:        1%{?dist}
Summary:        Library for DSP and Music Informatics purposes

# some source files with different original licenses, see README.txt
License:        GPLv2+
# original homepage: http://isophonics.net/QMVampPlugins
URL:            http://vamp-plugins.org/plugin-doc/qm-vamp-plugins.html
Source0:        https://code.soundsoftware.ac.uk/attachments/download/1582/%{name}-%{version}.tar.gz
# build flags
# (not intended for upstream)
Patch0:         qm-dsp-flags.patch
# install header files
# http://vamp-plugins.org/forum/index.php/topic,270.0.html
Patch1:         qm-dsp-install.patch

BuildRequires:  atlas-devel
BuildRequires:  imake
BuildRequires:  kissfft-static

%description
%{name} is a C++ library of functions for DSP and Music Informatics purposes
developed at Queen Mary, University of London. It is used by the QM Vamp
Plugins (q.v.) among other things.


%package devel
Summary:        %{summary}
Provides:       %{name}-static = %{version}-%{release}

%description devel
%{name} is a C++ library of functions for DSP and Music Informatics purposes
developed at Queen Mary, University of London. It is used by the QM Vamp
Plugins (q.v.) among other things.

This package contains header files and static library for development with
qm-dsp.


%prep
%setup -q
cp -p build/linux/Makefile.linux32 Makefile
%patch0 -p1
%patch1 -p1
# unbundle kissfft
rm -rf ext/


%build
# unbundle kissfft
make depend

# extra cflags used in upstream
%ifarch %{ix86}
EXTRA_CFLAGS="-msse -mfpmath=sse"
%endif
%ifarch x86_64
EXTRA_CFLAGS="-msse -msse2 -mfpmath=sse"
%endif

# build
CFLAGS="$EXTRA_CFLAGS %{?optflags} -I%{_includedir}/kissfft" \
LDFLAGS="%{?__global_ldflags}" \
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIBDIR=%{_libdir}


%files devel
%{!?_licensedir:%global license %doc}
%license COPYING
%doc README.txt
%{_libdir}/libqm-dsp.a
%{_includedir}/%{name}


%changelog
* Wed Nov 04 2015 František Dvořák <valtri@civ.zcu.cz> - 1.7.1-1
- Updated to 1.7.1
- Updated homepage
- Unbundled kissfft library
- Removed C++ patch released in upstream
- Rebased build flags and install patches
- New packaging guidelines (license tag)

* Wed Nov 05 2014 František Dvořák <valtri@civ.zcu.cz> - 1.7-2
- Updated patches and added comments

* Sun Aug 3 2014 František Dvořák <valtri@civ.zcu.cz> - 1.7-1
- Initial package
